<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::unit_value_power&lt; U1, power &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="structunits_1_1unit__value__power.html">unit_value_power</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="structunits_1_1unit__value__power-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">units::unit_value_power&lt; U1, power &gt; Struct Template Reference<div class="ingroups"><a class="el" href="group___compile_time_unit_manipulators.html">Compile-time Unit Manipulators</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>raises unit_value_to a power at compile-time  
 <a href="structunits_1_1unit__value__power.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="units_8h_source.html">units.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for units::unit_value_power&lt; U1, power &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structunits_1_1unit__value__power.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a3446bc38fe11fc76264063cd2cbbbe46"><td class="memItemLeft" align="right" valign="top">static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt; unit_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structunits_1_1unit__value__power.html#a3446bc38fe11fc76264063cd2cbbbe46">value</a> () noexcept</td></tr>
<tr class="memdesc:a3446bc38fe11fc76264063cd2cbbbe46"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value of exponentiation.  <a href="structunits_1_1unit__value__power.html#a3446bc38fe11fc76264063cd2cbbbe46">More...</a><br /></td></tr>
<tr class="separator:a3446bc38fe11fc76264063cd2cbbbe46"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;class U1, int power&gt;<br />
struct units::unit_value_power&lt; U1, power &gt;</h3>

<p>raises unit_value_to a power at compile-time </p>
<p>The resulting unit will the <code>unit_type</code> of <code>U1</code> squared </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U1</td><td><code><a class="el" href="structunits_1_1unit__value__t.html" title="Stores a rational unit value as a compile-time constant.">unit_value_t</a></code> to take the exponentiation of. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd>unit_value_t_traits to access information about the properties of the class, such as it's <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type and rational <a class="el" href="structunits_1_1unit__value__power.html#a3446bc38fe11fc76264063cd2cbbbe46" title="Value of exponentiation.">value</a>. </dd></dl>
<dl class="section note"><dt>Note</dt><dd>very similar in concept to <code><a class="el" href="namespaceunits_1_1math.html#a8bc48cef3fdfae35910a4bbe5011abcd" title="computes the value of value raised to the power">units::math::pow</a></code> </dd></dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a3446bc38fe11fc76264063cd2cbbbe46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3446bc38fe11fc76264063cd2cbbbe46">&#9670;&nbsp;</a></span>value()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U1 , int power&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static constexpr const <a class="el" href="classunits_1_1unit__t.html">unit_t</a>&lt;unit_type&gt; <a class="el" href="structunits_1_1unit__value__power.html">units::unit_value_power</a>&lt; U1, power &gt;::value </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">constexpr</span><span class="mlabel">noexcept</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Value of exponentiation. </p>
<p>Returns the calculated value of the exponentiation of <code>U1</code>, in units of <code>U1^power</code>. </p><dl class="section return"><dt>Returns</dt><dd>Value of the exponentiation in the appropriate units. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/mnt/e/workspace/units-master/include/<a class="el" href="units_8h_source.html">units.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:54 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
